×

Discussion Board

Results 1 to 6 of 6
  1. #1
    Registered User
    Join Date
    Feb 2008
    Posts
    3

    Netbeans 6.0 + S60 SDK

    Is there any way to get these emulators working with Netbeans 6.0? From the Netbeans Tools/Java Platforms dialogue, there's no way to add the S60 platform. Can this be done with a hack or will I have to target S40, and then test in the S60 emulator separately, ignoring any S60 specific functionality?

  2. #2
    Registered User
    Join Date
    Nov 2006
    Posts
    568

    Re: Netbeans 6.0 + S60 SDK


  3. #3
    Registered User
    Join Date
    Feb 2008
    Posts
    2

    Re: Netbeans 6.0 + S60 SDK

    But that's about Eclipse + S60 SDK

    NetBeans with SDK will somehow work if you'll use NetBeans 6.1 and S60 3rd SDK without FP (size 159MB)

    Read this

    P.S. It's surprising it's been already more than a year this problem with some S60 SDK's appeared, but there's still no update or solution to this problem from Nokia side

  4. #4
    Registered User
    Join Date
    Nov 2006
    Posts
    568

    Re: Netbeans 6.0 + S60 SDK

    No, read carefully. It does cover the Netbeans part do.
    BTW: I've installed the stuff on two machines today, following the instructions of that WIKI, and

    a) finally did overcome my debugging problems
    b) could build, debug and deploy a Netbeans made Midlet to my N95

    EDIT: I have to admit, the link above doesn't tell you about how to add new platforms. But if you follow the instructions, you'll be able to add S60 3rd using the ordinary "Tools/Java Platform/Add" while pointing to the dir where the S60 MIDP SDK is installed (by default C:\S60\Devices). I have informed the author about this gap in doc already.


    Regards

  5. #5
    Registered User
    Join Date
    Feb 2008
    Posts
    3

    Re: Netbeans 6.0 + S60 SDK

    Quote Originally Posted by neil.young View Post
    No, read carefully. It does cover the Netbeans part do.
    Thanks for replying, but that page doesn't have any information regarding Netbeans - there is only a single link to a Nokia site, providing no information. I did manage to get the emulator working, by browsing to the right folder while adding a new emulator, however, bluetooth doesn't actually work with the S60 emulator, which is a shame as that's exactly what I need it for (emulator just throws an error "Failed to initialise Bluetooth subsystem - check hardware is present" even though my PC has bluetooth)

    The Sony Ericsson emulators all work flawlessly, it's a pity Nokia can't do something about their broken developer tools really.

  6. #6
    Registered User
    Join Date
    Nov 2006
    Posts
    568

    Re: Netbeans 6.0 + S60 SDK


Similar Threads

  1. Can Nokia connectivity Framwork work with S60 3rd FP2 SDK?
    By luckyapplehead in forum Symbian Networking & Messaging (Closed)
    Replies: 2
    Last Post: 2007-12-18, 12:52
  2. Replies: 5
    Last Post: 2007-05-22, 09:49
  3. Problem: S60 SDK for CW in PC with .NET
    By anttij in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 1
    Last Post: 2005-02-28, 11:36
  4. Series 60 Concept Emulator (SDK Beta 0.2 Linux) not working
    By mattbee in forum Mobile Java Tools & SDKs
    Replies: 1
    Last Post: 2003-06-10, 11:43
  5. Almost all tools (S60 MIDP SDK B0.1, Nokia S60 SDK Symbian OS v0.3) Crashes
    By alexandershalamov in forum Symbian Tools & SDKs
    Replies: 1
    Last Post: 2002-07-03, 13:44

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×